Skip to content

Ledger Statement

GET
/api/v1/billing/ledger-statement/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/billing/ledger-statement/?zoho_id=<ZOHO_ID>&filter_type=<FILTER_TYPE>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Retrieves the ledger statement in HTML format for a specific customer identified by Zoho ID, for the selected time period.

zoho_id
required
string

Example

183096000000000237

Unique Zoho Contact ID of the customer.

filter_type
required
string
Allowed values: current_month

Example

current_month

Specifies which time range of Zoho transaction IDs to fetch.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Response schema for ledger statement HTML.

Media typeapplication/json
object
code
integer
data
object
contact_name
string
template_type_formatted
string
from_date
string format: date
from_date_formatted
string
contact_id
string
to_date_formatted
string
page_width
string
html_string

Renderable HTML string representing the full ledger statement.

string format: html
errors
object
message
string

Example

{
"code": 200,
"data": {
"contact_name": "E2E Networks Limited",
"template_type_formatted": "Standard",
"from_date": "2025-04-01",
"from_date_formatted": "01 Apr 2025",
"contact_id": "183096000000000237",
"to_date_formatted": "30 Apr 2025",
"page_width": "8.27in"
},
"errors": {},
"message": "Success"
}